<?php
/**
 * 金戈企业建站系统：头文件
 *
 *
 * @name 
 * @author 烟鬼 QQ:460874 Email:460874@qq.com
 * @version 0.1  $id  header.php
 * @copyright Copyright (c) 2007 - 2008 烟鬼
 */
require('config.php');
$url = $_SERVER ['HTTP_HOST'].$_SERVER['PHP_SELF'];
/**
 * 计算脚本开始执行的时间
 */
$start = utime();

/**
 * root_alli函数取出nav 表的内容。
 * 该方法的相关说明请参见类文件
 */
$nav = root_alli(nav,nav_kz,1);
if ($nav) 
{
     $rowset = setarray($nav);
}
/**
 * root_all函数取出web表的所有内容
 * 该方法的相关说明请参见类文件
 */
$web = root_all(web);
if ($web) 
{
     $web = setassoc($web);
}

$smarty->assign('web',$web);
$smarty->assign('url',$url);
$smarty->assign('rowset',$rowset);
$smarty->display('header.html');
?>